## haskell-hxt-relaxng 9.0.0

=== examples/hrelaxng/Makefile ===
# $Id: Makefile,v 1.2 2005/09/30 14:41:44 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/hrelaxng

prog		= ./HRelaxNG

all		: $(prog)

prof		:
		ghc --make -o $(prog) -Wall -prof -auto-all -O -fglasgow-exts -ignore-package hxt -ignore-package HTTP -i../../../src $(prog).hs

local		:
		ghc --make -o $(prog) $(GHCFLAGS) -fglasgow-exts -ignore-package hxt -i../../../src $(prog).hs

$(prog)		: $(prog).hs
		$(GHC) --make -o $@ $<

force		:
		$(GHC) --make -o $(prog) $(prog).hs

test		: $(prog)
		@echo "===> Relax NG examples" ; echo ; sleep 1
		@$(MAKE) example1 example1a example2 example3 example5

example1	:
		@echo "===> Validate a valid Relax NG schema with respect to a valid xml file" ; echo ; sleep 1
		$(prog) ./valid1.xml ./valid1.rng
		@echo

example1a	:
		@echo "a valid document"
		$(prog) ./valid2.xml ./valid2.rng || true
		@echo

example1b	:
		@echo "===> 1. invalid document\n"
		$(prog) ./inv2.xml ./valid2.rng || true
		@echo "\n===> 2. invalid document\n"
		$(prog) ./inv3.xml ./valid2.rng || true
		@echo

example2	:
		@echo "===> Validate a valid Relax NG schema with respect to a invalid xml file" ; echo ; sleep 1
		$(prog) ./invalid1.xml ./valid1.rng || true
		@echo

example3	:
		@echo "===> Incorrect Relax NG schema" ; echo ; sleep 1
		$(prog) ./valid1.xml ./invalid2.rng || true
		@echo

example4	:
		@echo "===> Same example with \"--output-pattern-transformations\" option " ; echo ; sleep 1
		$(prog) --output-pattern-transformations  ./valid1.xml ./invalid2.rng || true
		@echo

example5	:
		@echo "===> Incorrect Relax NG schema with two errors" ; echo ; sleep 1
		$(prog) ./valid1.xml ./invalid3.rng || true
		@echo

EX		= $(wildcard *valid*.xml *valid*.rng)

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp $(EX) Makefile $(prog).hs $(DIST_DIR)

clean		:
		rm -f $(prog) *.o *.hi

# eof ------------------------------------------------------------

=== debian/changelog ===
haskell-hxt-relaxng (9.0.0-2build1) natty; urgency=low

  * Rebuild against new library ABIs

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 17 Feb 2011 19:13:41 +0100

haskell-hxt-relaxng (9.0.0-2) unstable; urgency=low

  * debian/control:
    - add Build-Depends: haskell-hxt (>= 9)
    - add Build-Depends: haskell-hxt-charproperties, haskell-hxt-xml-schema
      (Closes: #603307)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 14 Nov 2010 10:59:23 +0900

haskell-hxt-relaxng (9.0.0-1) unstable; urgency=low

  * Initial release (Closes: #601842)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 20:10:30 +0900

=== debian/control ===
Source: haskell-hxt-relaxng
Section: haskell
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Uploaders: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc6,
	ghc6-prof,
	ghc6-doc,
	libghc6-hxt-dev (>= 9), libghc6-hxt-dev (<< 10),
	libghc6-hxt-prof (>= 9), libghc6-hxt-prof (<< 10),
	libghc6-hxt-doc (>= 9), libghc6-hxt-doc (<< 10),
	libghc6-hxt-charproperties-dev,
	libghc6-hxt-charproperties-prof,
	libghc6-hxt-charproperties-doc,
	libghc6-hxt-regex-xmlschema-dev,
	libghc6-hxt-regex-xmlschema-prof,
	libghc6-hxt-regex-xmlschema-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc6-hxt-relaxng-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The HXT RelaxNG validator
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-hxt-relaxng-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The HXT RelaxNG validator; profiling library
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc6-hxt-relaxng-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: The HXT RelaxNG validator; documentation
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the library documentation.

=== debian/watch ===
version=3
opts=downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|  http://hackage.haskell.org/packages/archive/hxt-relaxng  ([\d\.]*\d)/

## haskell-hxt-relaxng 9.1.1

=== debian/changelog ===
haskell-hxt-relaxng (9.1.1-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Jun 2011 10:26:32 +0100

haskell-hxt-relaxng (9.1.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ TANIGUCHI Takaki ]
  * New upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Apr 2011 11:05:13 +0900

=== debian/control ===
Source: haskell-hxt-relaxng
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	haskell-devscripts(>=0.7),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-hxt-dev (>= 9), libghc-hxt-dev (<< 10),
	libghc-hxt-prof (>= 9), libghc-hxt-prof (<< 10),
	libghc-hxt-doc (>= 9), libghc-hxt-doc (<< 10),
	libghc-hxt-charproperties-dev,
	libghc-hxt-charproperties-prof,
	libghc-hxt-charproperties-doc,
	libghc-hxt-regex-xmlschema-dev,
	libghc-hxt-regex-xmlschema-prof,
	libghc-hxt-regex-xmlschema-doc,
Standards-Version: 3.9.1
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-relaxng-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the libraries compiled for GHC.

Package: libghc-hxt-relaxng-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator; profiling library
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-hxt-relaxng-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator; documentation
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 This package contains the library documentation.

## haskell-hxt-relaxng 9.1.2

=== debian/changelog ===
haskell-hxt-relaxng (9.1.2-1build1) oneiric; urgency=low

  * Rebuild for new libghc-hxt-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Jun 2011 12:40:24 +0100

haskell-hxt-relaxng (9.1.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.2 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 11:33:06 +0900

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	libghc-hxt-regex-xmlschema-dev,
 	libghc-hxt-regex-xmlschema-prof,
 	libghc-hxt-regex-xmlschema-doc,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/
 
 Package: libghc-hxt-relaxng-dev

## haskell-hxt-relaxng 9.1.3

=== debian/changelog ===
haskell-hxt-relaxng (9.1.3-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 10:57:22 +0900

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	ghc,
 	ghc-prof,
 	ghc-doc,
-	libghc-hxt-dev (>= 9), libghc-hxt-dev (<< 10),
-	libghc-hxt-prof (>= 9), libghc-hxt-prof (<< 10),
-	libghc-hxt-doc (>= 9), libghc-hxt-doc (<< 10),
+	libghc-hxt-dev (>= 9.1.3), libghc-hxt-dev (<< 10),
+	libghc-hxt-prof (>= 9.1.3), libghc-hxt-prof (<< 10),
+	libghc-hxt-doc (>= 9.1.3), libghc-hxt-doc (<< 10),
 	libghc-hxt-charproperties-dev,
 	libghc-hxt-charproperties-prof,
 	libghc-hxt-charproperties-doc,

## haskell-hxt-relaxng 9.1.4

=== debian/changelog ===
haskell-hxt-relaxng (9.1.4-4build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 May 2013 08:45:49 +0100

haskell-hxt-relaxng (9.1.4-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:08 +0200

haskell-hxt-relaxng (9.1.4-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:42 +0200

haskell-hxt-relaxng (9.1.4-2) experimental; urgency=low

  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:17 +0200

haskell-hxt-relaxng (9.1.4-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Mar 2012 13:07:05 +0900

=== debian/control ===
Source: haskell-hxt-relaxng
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 9),
	haskell-devscripts (>= 0.8.15),
	cdbs,
	ghc,
	ghc-prof,
	ghc-doc,
	libghc-hxt-dev (>= 9.1.3), libghc-hxt-dev (<< 10),
	libghc-hxt-prof (>= 9.1.3), libghc-hxt-prof (<< 10),
	libghc-hxt-doc (>= 9.1.3), libghc-hxt-doc (<< 10),
	libghc-hxt-charproperties-dev,
	libghc-hxt-charproperties-prof,
	libghc-hxt-charproperties-doc,
	libghc-hxt-regex-xmlschema-dev,
	libghc-hxt-regex-xmlschema-prof,
	libghc-hxt-regex-xmlschema-doc,
Standards-Version: 3.9.4
Homepage: http://www.fh-wedel.de/~si/HXmlToolbox/

Package: libghc-hxt-relaxng-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hxt-relaxng-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hxt-relaxng \
    ([\d\.]*\d)/

## haskell-hxt-relaxng 9.1.5.5

=== examples/hparser/Makefile ===
# $Id: Makefile,v 1.9 2006/11/11 15:36:03 hxml Exp $

HXT_HOME	= ../../..
PKGFLAGS	= 
GHCFLAGS	= -Wall -O2
GHC		= ghc $(GHCFLAGS) $(PKGFLAGS)

DIST		= $(HXT_HOME)/dist/examples/arrows
DIST_DIR	= $(DIST)/hparser

prog		= ./HXmlParser

all		: $(prog)

prof		:
		ghc --make -o $(prog) -Wall -prof -auto-all -O -fglasgow-exts -ignore-package hxt -ignore-package HTTP -i../../../src $(prog).hs

local		:
		ghc --make -o $(prog) $(GHCFLAGS) -fglasgow-exts -ignore-package hxt -i../../../src $(prog).hs

$(prog)		: HXmlParser.hs
		$(GHC) --make -o $@ $<

force		:
		$(GHC) --make -o $(prog) $(prog).hs

test		: $(prog)
		@echo "===> run a few simple test cases with the validating parser"
		@echo "===> first see all command line options"
		$(prog) --help
		@echo
		$(MAKE) test0 test1 test2 test3 test4

EX1		= ./example1.xml
EXi		= ./invalid.xml
EX2		= ../../xhtml/xhtml.xml
EX3		= ./namespace0.xml
EX3a		= ./namespace1.xml
EX4		= ./lousy.html
EX4a		= ./emptyElements.html

EX		= $(wildcard example*.xml) $(wildcard lousy*.html) $(wildcard empty*.html) $(wildcard *valid*.xml *valid*.rng) $(wildcard namespace*.xml)

test0		:
		@echo "===> a 1. simple valid document"
		$(prog) $(EX1)
		@echo
		@echo "===> the dom tree of the same document (without any redundant whitespace)"
		$(prog) --show-tree --remove-whitespace $(EX1)
		@echo
		@echo "===> the next test case contains validation erors, it must fail"
		$(prog) --verbose $(EXi) || true
		@echo
		@echo "===> same source, but only wellformed check"
		$(prog) --do-not-validate $(EXi) || true
		@echo
		@echo "===> only validation, no output of an XHTML source"
		$(prog) --verbose --no-output $(EX2)
		@echo

test1		:
		@echo "===> the source of a very simple valid document" ; echo ; sleep 2
		cat $(EX1)
		@sleep 2 ; echo ; echo "===> parser will emit UTF-8" ; echo ; sleep 2
		$(prog) --output-encoding=UTF-8 $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again with ISO-8859-1 (latin1) output" ; echo ; sleep 2
		$(prog) --output-encoding=ISO-8859-1 $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again with US-ASCII output" ; echo ; sleep 2
		$(prog) --output-encoding=US-ASCII $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again with hdom tree output" ; echo ; sleep 2
		$(prog) --show-tree --output-encoding=ISO-8859-1 $(EX1)
		@echo
		@sleep 2 ; echo ; echo "===> once again, but without any markup" ; echo ; sleep 2
		$(prog) --action=only-text --output-encoding=ISO-8859-1 $(EX1)
		@echo

test2		:
		@echo "===> the source of a xhtml document" ; echo ; sleep 2
		cat $(EX2)
		@echo "that document has" `cat $(EX2) | wc -l` "lines"
		@sleep 2 ; echo ; echo "===> parser will validate this document and try to indent the output" ; echo ; sleep 2
		$(prog) --indent $(EX2)
		@sleep 2 ; echo ; echo "===> once again, but remove all markup" ; echo ; sleep 2
		$(prog) --action=only-text --remove-whitespace $(EX2)
		@sleep 2 ; echo ; echo "===> once again with hdom tree output" ; echo ; sleep 2
		$(prog) --show-tree --remove-whitespace $(EX2)

test3		:
		@echo "===> namespace processing examples" ; echo ; sleep 2
		@echo "===> namespace propagation test" ; echo ; sleep 2
		$(prog) --verbose --check-namespaces  --indent --output-encoding=UTF-8 $(EX3)
		@echo
		@echo ; sleep 2 ; echo "===> namespace propagation test: tree output with attached namespaces" ; echo ; sleep 2
		$(prog) --verbose --check-namespaces  --remove-whitespace --show-tree --output-encoding=ISO-8859-1 $(EX3)
		@echo
		@echo ; sleep 2 ; echo "===> namespace validation test: this test produces namespace errors" ; echo ; sleep 2
		$(prog) --verbose --do-not-validate --check-namespaces --indent --output-encoding=ISO-8859-1 $(EX3a) || true
		@echo


test4		:
		@echo "===> HTML parsing examples" ; echo ; sleep 2
		@echo "===> the source of a lousy html document" ; echo ; sleep 2
		cat $(EX4)
		@sleep 2 ; echo ; echo "===> parser accepts this document and tries to build a document tree" ; echo ; sleep 2
		$(prog) --indent --preserve-comment --parse-html $(EX4)
		@echo "===> the source of another lousy html document containing empty elements" ; echo ; sleep 2
		cat $(EX4a)
		@sleep 2 ; echo ; echo "===> parser accepts this document and tries to format this as a HTML document without any dangarous empty elements" ; echo ; sleep 2
		$(prog) --indent --preserve-comment --parse-html --output-html --no-empty-elements $(EX4a)
		@echo

dist		:
		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)
		cp $(EX) Makefile $(prog).hs $(DIST_DIR)

clean		:
		rm -f $(prog) *.o *.hi

.PHONY		: all test test0 test1 test2 test3 test4 dist clean prof local force

=== examples/hrelaxng/Makefile ===
--- 
+++ 
@@ -65,7 +65,17 @@
 		$(prog) ./valid1.xml ./invalid3.rng || true
 		@echo
 
-EX		= $(wildcard *valid*.xml *valid*.rng)
+example6	:
+		@echo "===> Validate a valid xml file with a valid Relax NG schema with name prefixes" ; echo ; sleep 1
+		$(prog) ./simple.xml ./simple-qualified.rng
+		@echo
+
+example6a	:
+		@echo "===> Validate a valid xml file with a valid Relax NG schema without name prefixes" ; echo ; sleep 1
+		$(prog) ./simple.xml ./simple-unqualified.rng
+		@echo
+
+EX		= $(wildcard *valid*.xml *valid*.rng simple*.xml simple*.rng)
 
 dist		:
 		[ -d $(DIST_DIR) ] || mkdir -p $(DIST_DIR)

=== debian/changelog ===
haskell-hxt-relaxng (9.1.5.5-8build2) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:16:09 +0000

haskell-hxt-relaxng (9.1.5.5-8build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 09:06:23 +0100

haskell-hxt-relaxng (9.1.5.5-8) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:27 -0400

haskell-hxt-relaxng (9.1.5.5-7) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:11:46 -0400

haskell-hxt-relaxng (9.1.5.5-6) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:38 -0500

haskell-hxt-relaxng (9.1.5.5-5) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:58 +0200

haskell-hxt-relaxng (9.1.5.5-4) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:45 +0200

haskell-hxt-relaxng (9.1.5.5-3) unstable; urgency=medium

  * Pass gcc-min-expand on mips (Closes: #783126). Thanks to Dejan Latinovic
    for the patch.

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 11:02:58 +0200

haskell-hxt-relaxng (9.1.5.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:56 +0200

haskell-hxt-relaxng (9.1.5.5-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 13:03:27 +0200

haskell-hxt-relaxng (9.1.4-5) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:05 +0100

=== debian/control ===
Source: haskell-hxt-relaxng
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-hxt-charproperties-dev (<< 10),
 libghc-hxt-charproperties-dev (>= 9),
 libghc-hxt-charproperties-prof,
 libghc-hxt-dev (<< 10),
 libghc-hxt-dev (>= 9.1.3),
 libghc-hxt-prof,
 libghc-hxt-regex-xmlschema-dev (<< 10),
 libghc-hxt-regex-xmlschema-dev (>= 9.2),
 libghc-hxt-regex-xmlschema-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-prof,
 libghc-parsec3-dev (<< 4),
 libghc-parsec3-dev (>= 2.1),
 libghc-parsec3-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-hxt-charproperties-doc,
 libghc-hxt-doc,
 libghc-hxt-regex-xmlschema-doc,
 libghc-network-uri-doc,
 libghc-parsec3-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/UweSchmidt/hxt
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-hxt-relaxng
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-hxt-relaxng-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

Package: libghc-hxt-relaxng-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: HXT RelaxNG validator${haskell:ShortBlurb}
 This is a part of Haskell XML Toolbox.
 .
 The HXT RelaxNG validator
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hxt-relaxng/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
